SUSE SLES15 Security Update : kernel (Live Patch 39 for SLE 15 SP3) (SUSE-SU-2024:0694-1)

high Nessus Plugin ID 191456

Language:

Synopsis

The remote SUSE host is missing a security update.

Description

The remote SUSE Linux SLES15 host has packages installed that are affected by a vulnerability as referenced in the SUSE- SU-2024:0694-1 advisory.

- An issue was discovered in the Linux kernel before 6.6.8. do_vcc_ioctl in net/atm/ioctl.c has a use-after- free because of a vcc_recvmsg race condition. (CVE-2023-51780)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected kernel-livepatch-5_14_21-150500_55_39-default, kernel-livepatch-5_3_18-150200_24_175-default and / or kernel-livepatch-5_3_18-150300_59_144-default packages.

See Also

https://bugzilla.suse.com/1218733

http://www.nessus.org/u?b06a5d14

https://www.suse.com/security/cve/CVE-2023-51780

Plugin Details

Severity: High

ID: 191456

File Name: suse_SU-2024-0694-1.nasl

Version: 1.1

Type: local

Agent: unix

Published: 3/1/2024

Updated: 3/6/2024

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Medium

Base Score: 6

Temporal Score: 4.4

Vector: CVSS2#AV:L/AC:H/Au:S/C:C/I:C/A:C

CVSS Score Source: CVE-2023-51780

CVSS v3

Risk Factor: High

Base Score: 7

Temporal Score: 6.1

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:kernel-livepatch-5_14_21-150500_55_39-default, p-cpe:/a:novell:suse_linux:kernel-livepatch-5_3_18-150200_24_175-default, p-cpe:/a:novell:suse_linux:kernel-livepatch-5_3_18-150300_59_144-default, cpe:/o:novell:suse_linux:15

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 2/28/2024

Vulnerability Publication Date: 1/9/2024

Reference Information

CVE: CVE-2023-51780

SuSE: SUSE-SU-2024:0694-1